cURL
curl --request POST \ --url https://api.emailr.dev/v1/broadcasts \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Newsletter - January 2024", "subject": "Your monthly update", "from_email": "newsletter@example.com", "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "html_content": "<string>", "text_content": "<string>", "scheduled_at": "2023-11-07T05:31:56Z" } '
{ "id": "123e4567-e89b-12d3-a456-426614174000", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "subject": "<string>", "from_email": "jsmith@example.com", "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "draft", "total_recipients": 123, "sent_count": 123, "delivered_count": 123, "opened_count": 123, "clicked_count": 123, "bounced_count": 123, "scheduled_at": "2023-11-07T05:31:56Z", "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z" }
Create a new email broadcast campaign
API key authentication. Use your API key as the bearer token.
1
"Newsletter - January 2024"
"Your monthly update"
"newsletter@example.com"
Broadcast created
"123e4567-e89b-12d3-a456-426614174000"
"draft"